CREATE TABLE `SPORTS_MLB_STANDINGS` (
  `season` YEAR NOT NULL,
  `the_date` DATE NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci NOT NULL,
  `wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `win_pct` DECIMAL(5,4) UNSIGNED NOT NULL DEFAULT 0.0000,
  `runs_for` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  `runs_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  `home_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `conf_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `conf_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `conf_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `extras_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `extras_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `extras_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `onerun_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `onerun_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `onerun_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `pos_league` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_conf` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_div` TINYINT(3) UNSIGNED DEFAULT 0,
  `games_back_div` DECIMAL(3,1) DEFAULT NULL,
  `games_back_wildcard` DECIMAL(3,1) DEFAULT NULL,
  `status_code` ENUM('w','x','y','z','*') COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`season`,`the_date`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYOFF_SEEDS` (
  `season` YEAR NOT NULL,
  `conf_id` TINYINT(1) UNSIGNED NOT NULL,
  `seed` TINYINT(1) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BOS','CHC','CIN','CLE','COL','CWS','DET','HOU','KC','LAA','LAD','MIA','MIL','MIN','NYM','NYY','OAK','PHI','PIT','SAC','SD','SEA','SF','STL','TB','TEX','TOR','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `pos_div` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pos_conf` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pos_league` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`conf_id`,`seed`),
  KEY `by_team` (`season`,`conf_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_MLB_PLAYOFF_SERIES` (
  `season` YEAR NOT NULL,
  `the_date` DATE NOT NULL,
  `round_code` ENUM('11','12','13','14','15','16','17','18','21','22','23','24','31','32','41') COLLATE latin1_general_ci NOT NULL,
  `higher_conf_id` TINYINT(3) UNSIGNED NOT NULL,
  `higher_seed` TINYINT(3) UNSIGNED NOT NULL,
  `lower_conf_id` TINYINT(3) UNSIGNED NOT NULL,
  `lower_seed` TINYINT(3) UNSIGNED NOT NULL,
  `higher_games` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `lower_games` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `complete` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`the_date`,`round_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
